cURL
curl -X GET "https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/template/{templateId}/archived-days" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/template/{templateId}/archived-days', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/template/{templateId}/archived-days"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"templateId": "67f1234567890abcdef1234",
"planName": "4-Day Strength Block",
"items": [
{
"_id": "67f1234567890abcdef1234",
"name": "Day 2 – Upper Body",
"description": "",
"dayOrder": 5,
"exerciseCount": 6,
"archivedAt": "2026-04-12T10:00:00.000Z"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Plan days
List archived days of the client's assigned plan
Returns the archived days (plan moments) of one of the client’s assigned plans — the ‘Archived Exercise Days’ screen. Only non-deleted, archived days are returned, newest archived first.
Requires the workout_client_plans:read scope and the corresponding Workout features and permissions.
The clientId path parameter identifies a client in the company bound to the Public API token.
GET
/
public
/
v1
/
workout
/
clients
/
{clientId}
/
plans
/
template
/
{templateId}
/
archived-days
cURL
curl -X GET "https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/template/{templateId}/archived-days" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/template/{templateId}/archived-days', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/template/{templateId}/archived-days"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"templateId": "67f1234567890abcdef1234",
"planName": "4-Day Strength Block",
"items": [
{
"_id": "67f1234567890abcdef1234",
"name": "Day 2 – Upper Body",
"description": "",
"dayOrder": 5,
"exerciseCount": 6,
"archivedAt": "2026-04-12T10:00:00.000Z"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}